{
  config,
  lib,
  pkgs,
  ...
}:
{
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  time.timeZone = "Europe/Moscow";
  programs.nix-ld.enable = true;

  i18n.defaultLocale = "ru_RU.UTF-8";

  i18n.extraLocaleSettings = {
    LC_ADDRESS = "ru_RU.UTF-8";
    LC_IDENTIFICATION = "ru_RU.UTF-8";
    LC_MEASUREMENT = "ru_RU.UTF-8";
    LC_MONETARY = "ru_RU.UTF-8";
    LC_NAME = "ru_RU.UTF-8";
    LC_NUMERIC = "ru_RU.UTF-8";
    LC_PAPER = "ru_RU.UTF-8";
    LC_TELEPHONE = "ru_RU.UTF-8";
    LC_TIME = "ru_RU.UTF-8";
  };

  system.stateVersion = "25.11";

  nix = {
    gc = {
      automatic = true;
      dates = "weekly";
      options = "--delete-older-than 7d";
    };
    settings.experimental-features = [
      "nix-command"
      "flakes"
    ];
  };

  nix.package = pkgs.lixPackageSets.stable.lix;

  boot.loader.systemd-boot.configurationLimit = 5;

  programs.fish.enable = true;
  virtualisation.docker.enable = true;

  security.sudo.wheelNeedsPassword = false;

  home-manager = {
    useGlobalPkgs = true;
    useUserPackages = true;
  };

  users.users.flygrounder = {
    shell = pkgs.fish;
    isNormalUser = true;
    description = "Артём";
    extraGroups = [
      "wheel"
      "docker"
    ];
  };

  services.syncthing = {
    enable = true;
    dataDir = "/home/flygrounder";
    user = "flygrounder";
  };

  programs.dconf.enable = true;

}
